Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.xerces.validators.common
Class XMLElementDecl

    java.lang.Object
      |
      +--weblogic.apache.xerces.validators.common.XMLElementDecl

public class XMLElementDecl
extends java.lang.Object

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Version:
  $Id: XMLElementDecl.java,v 1.2 2000/05/17 18:33:06 jeffreyr Exp $
Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Field Summary
`int` | `contentSpecIndex`
`DatatypeValidator` | `datatypeValidator`
`int` | `enclosingScope`
`boolean` | `list`
`QName` | `name`
`int` | `type`
`static int` | `TYPE_ANY`
`static int` | `TYPE_CHILDREN`
`static int` | `TYPE_EMPTY`
`static int` | `TYPE_MIXED`
`static int` | `TYPE_SIMPLE`

Constructor Summary
`XMLElementDecl()`
`XMLElementDecl(XMLElementDecl elementDecl)`

Method Summary
`void` | `clear()`
`boolean` | `equals(java.lang.Object object)`
`int` | `hashCode()`
`void` | `setValues(XMLElementDecl elementDecl)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE_EMPTY

    public static final int TYPE_EMPTY

### TYPE_ANY

    public static final int TYPE_ANY

### TYPE_MIXED

    public static final int TYPE_MIXED

### TYPE_CHILDREN

    public static final int TYPE_CHILDREN

### TYPE_SIMPLE

    public static final int TYPE_SIMPLE

### name

    public final QName name

### type

    public int type

### list

    public boolean list

### datatypeValidator

    public DatatypeValidator datatypeValidator

### contentSpecIndex

    public int contentSpecIndex

### enclosingScope

    public int enclosingScope

Constructor Detail

### XMLElementDecl

    public XMLElementDecl()

### XMLElementDecl

    public XMLElementDecl(XMLElementDecl elementDecl)

Method Detail

### clear

    public void clear()

### setValues

    public void setValues(XMLElementDecl elementDecl)

### hashCode

    public int hashCode()

  Overrides:
    hashCode in class java.lang.Object

### equals

    public boolean equals(java.lang.Object object)

  Overrides:
    equals in class java.lang.Object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD